Subject: Re: git bug? + question

From: Shawn Pearce <[email-masked]>
Date: Sat, 4 Nov 2006 00:03:06 -0500

Sean <[email-masked]> wrote:
> On Fri, 3 Nov 2006 15:36:10 -0500
> Shawn Pearce <[email-masked]> wrote:
> 
> > > Maybe even going as far as automatically creating a local branch
> > > for each remote branch on clone is worth considering.
> > 
> > Nack.
> > 
> > I work with a workflow where our central repository has 2 important
> > branches (vmtip and vmvt), and a bunch of transient developer
> > topic branches (e.g. sp/foo).  We only have a master branch in this
> > repository so that git-clone will clone it without choking during
> > the clone.  Users tend to do immediately after a clone:
> > 
> > 	git branch -D master
> > 	git branch -D origin
> > 	git branch -D ... other topic branches not interested in ...
> > 	edit .git/remotes/origin ... delete topic branches ...
> 
> I think your Nack was a little rash here.  The feature would be quite
> useful to work flows other than yours.  It sounds like what _you_ want
> is a feature to select branches when cloning rather than the current
> default of cloning all.  That would stop your developers having to 
> delete branches and editing .git/remotes/origin immediately
> after cloning.

After reading your reply you are probably correct.  I can see there
may be workflows that want every remote branch also created as a
local branch.

I could certainly live with a command line option to clone, e.g.:

	git clone --only vmdvt,vmtip user@host:/path...

So yes, my 'Nack' may have been a little too rash.

--